## NAME

s.what - Allows the user to query site list descriptions.
(GRASS Sites Program)

## SYNOPSIS

s.what
s.what help
s.what [-q] map=name[,name,...] [east_north=east,north[,east,north,...]

## DESCRIPTION

s.what outputs the category values and (optionally) the category labels associated with user-specified locations on sites input map(s). Locations are specified as geographic x,y coordinate pairs (i.e., pair of eastings and northings).

## OPTIONS

### Flags:

-q
  Load quietly

### Parameters:

map=
  The name(s) of one or more existing sites map layers to be queried.
east_north=
  One or multiple coordinate pairs for query

## EXAMPLES

The contents of the ASCII inputfile to s.what can be typed in at the keyboard, redirected from a file, or piped from another program (like d.where). Each line of the input consists of an easting, a northing, and an optional label, which are separated by spaces. The word end is typed to end input of coordinates to s.what. For example:

  635342.21 7654321.09 site 1
  653324.88 7563412.42 site 2
  end

s.what output consists of the input geographic location and label, and, for each user-named sites map layer, the category value. Sample input (in regular font) to and output (in plain text) from s.what are given below.

  s.what map=soils,aspect
  635342.21 7654321.09 site 1
  653324.88 7563412.42 site 2
  end
``
  sites in mapset 635342.21|7654321.09|site 1|45|21
  sites in mapset 653324.88|7563412.42|site 2|44|20

## NOTES

The maximum number of sites map layers that can be queried at one time is 14.

## SEE ALSO

d.sites, d.where, s.info, s.univar, parser

## AUTHOR

Huidae Cho <grass@geni.cemtlo.com>

Last changed: $Date: 2002/06/16 15:29:18 $